import { ReactNode } from 'react';
import { Moment } from 'moment';
import DaysView, { DateViewProps } from './DaysView';
export default class DecadeYearsView<T extends DateViewProps> extends DaysView<T> {
    static displayName: string;
    getViewClassName(): string;
    handlePrevYearClick(): void;
    handleNextYearClick(): void;
    handleKeyDownHome(e: any): void;
    handleKeyDownEnd(e: any): void;
    handleKeyDownLeft(e: any): void;
    handleKeyDownRight(e: any): void;
    handleKeyDownUp(e: any): void;
    handleKeyDownDown(e: any): void;
    handleKeyDownPageUp(e: any): void;
    handleKeyDownPageDown(e: any): void;
    renderHeader(): ReactNode;
    renderPanelHead(): ReactNode;
    renderPanelBody(): ReactNode;
    renderFooter(): ReactNode;
    getPanelClass(): string;
    choose(date: Moment): void;
}
